Skip to main content

Create Sandbox

POST 

/v1/org/:org_identifier/product/:product_identifier/sandbox

Create sandbox, requires product:config:edit permission

Request

Path Parameters

    org_identifier anyrequired

    Organization ID or short name

    product_identifier anyrequired

    Product ID or short name

Body

required

    sandbox_id uuidrequired
    name Name (string)required
    primary_contact_email Primary Contact Email (string)required
    short_name Short Name (string)required
    archive Archive (boolean)
    readonly Readonly (boolean)

Responses

Successful Response

Schema

    sandbox_id uuidrequired
    product_id uuidrequired

    Product that owns this sandbox

    name Name (string)

    Official Full Name

    primary_contact_email Primary Contact Email (string)

    Email Address for the primary point of contact

    short_name Short Name (string)required

    Possible values: non-empty

    Name used in URLs

    last_modified_timestamp date-timerequired
    created_timestamp date-timerequired
    archive Archive (boolean)required
    readonly Readonly (boolean)required
    dirty_timestamp date-time

    Timestamp of when this sandbox's data was last modified

    dirty_version Dirty Version (integer)

    Version number indicating the state of the sandbox

Loading...